D-Bus: DBusAuthMechanismHandler Struct Reference

D-Bus 1.16.2

Data Fields
DBusAuthMechanismHandler Struct Reference
D-Bus secret internal implementation details » Authentication implementation details

Virtual table representing a particular auth mechanism. More...

## Data Fields
const char * | mechanism
| Name of the mechanism.
DBusAuthDataFunction | server_data_func
| Function on server side for DATA.
DBusAuthEncodeFunction | server_encode_func
| Function on server side to encode.
DBusAuthDecodeFunction | server_decode_func
| Function on server side to decode.
DBusAuthShutdownFunction | server_shutdown_func
| Function on server side to shut down.
DBusInitialResponseFunction | client_initial_response_func
| Function on client side to handle initial response.
DBusAuthDataFunction | client_data_func
| Function on client side for DATA.
DBusAuthEncodeFunction | client_encode_func
| Function on client side for encode.
DBusAuthDecodeFunction | client_decode_func
| Function on client side for decode.
DBusAuthShutdownFunction | client_shutdown_func
| Function on client side for shutdown.

## Detailed Description

Virtual table representing a particular auth mechanism.

Definition at line 104 of file dbus-auth.c.

## Field Documentation

## ◆ client_data_func

DBusAuthDataFunction DBusAuthMechanismHandler::client_data_func

Function on client side for DATA.

Definition at line 112 of file dbus-auth.c.

## ◆ client_decode_func

DBusAuthDecodeFunction DBusAuthMechanismHandler::client_decode_func

Function on client side for decode.

Definition at line 114 of file dbus-auth.c.

Referenced by _dbus_auth_decode_data(), and _dbus_auth_needs_decoding().

## ◆ client_encode_func

DBusAuthEncodeFunction DBusAuthMechanismHandler::client_encode_func

Function on client side for encode.

Definition at line 113 of file dbus-auth.c.

Referenced by _dbus_auth_encode_data(), and _dbus_auth_needs_encoding().

## ◆ client_initial_response_func

DBusInitialResponseFunction DBusAuthMechanismHandler::client_initial_response_func

Function on client side to handle initial response.

Definition at line 111 of file dbus-auth.c.

## ◆ client_shutdown_func

DBusAuthShutdownFunction DBusAuthMechanismHandler::client_shutdown_func

Function on client side for shutdown.

Definition at line 115 of file dbus-auth.c.

## ◆ mechanism

const char* DBusAuthMechanismHandler::mechanism

Name of the mechanism.

Definition at line 106 of file dbus-auth.c.

## ◆ server_data_func

DBusAuthDataFunction DBusAuthMechanismHandler::server_data_func

Function on server side for DATA.

Definition at line 107 of file dbus-auth.c.

## ◆ server_decode_func

DBusAuthDecodeFunction DBusAuthMechanismHandler::server_decode_func

Function on server side to decode.

Definition at line 109 of file dbus-auth.c.

Referenced by _dbus_auth_decode_data(), and _dbus_auth_needs_decoding().

## ◆ server_encode_func

DBusAuthEncodeFunction DBusAuthMechanismHandler::server_encode_func

Function on server side to encode.

Definition at line 108 of file dbus-auth.c.

Referenced by _dbus_auth_encode_data(), and _dbus_auth_needs_encoding().

## ◆ server_shutdown_func

DBusAuthShutdownFunction DBusAuthMechanismHandler::server_shutdown_func

Function on server side to shut down.

Definition at line 110 of file dbus-auth.c.

The documentation for this struct was generated from the following file:

- dbus-auth.c